Bug 229247 - lang/mono BoringSSL support not enabled
Summary: lang/mono BoringSSL support not enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-23 09:36 UTC by johannesfalke
Modified: 2018-07-12 12:37 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (mono)


Attachments
Patch to enable BTLS support (7.50 KB, application/x-tar)
2018-06-24 13:11 UTC, yani
no flags Details
Patch to enable BTLS support (4.50 KB, application/x-tar)
2018-06-24 13:24 UTC, yani
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description johannesfalke 2018-06-23 09:36:36 UTC
Changelogs claim BoringSSL support is enabled as of 5.10. However, running mono with MONO_TLS_PROVIDER=btls and attempting to use TLS results in "System.NotSupportedEx
ception: No such TLS Provider: `btls'."

Indeed, the Makefile in the ports tree doesn't have '--enable-btls' set.
Comment 1 yani 2018-06-24 13:11:08 UTC
Created attachment 194559 [details]
Patch to enable BTLS support
Comment 2 yani 2018-06-24 13:24:24 UTC
Created attachment 194561 [details]
Patch to enable BTLS support

BTLS is indeed not enabled. I've made the following changes to enable BTLS support:
1) Added "--enable-btls" to the configure options.
2) Modified "configure.ac" to enable BTLS for the freebsd x86 and x86_64 targets
3) Added "libmono-btls-shared.so" to pkg-plist.
Comment 3 Dries Michiels 2018-06-27 16:06:01 UTC
Can we get this fixed soon please? Thanks.

https://emby.media/community/index.php?/topic/12906-freebsd-package/page-4
Comment 4 commit-hook freebsd_committer 2018-06-30 15:13:38 UTC
A commit references this bug:

Author: dbn
Date: Sat Jun 30 15:13:32 UTC 2018
New revision: 473623
URL: https://svnweb.freebsd.org/changeset/ports/473623

Log:
  lang/mono: add support for BTLS TLS provider

  PR:		229247
  Submitted by:	yani@pi-greece.eu

Changes:
  head/lang/mono/Makefile
  head/lang/mono/files/patch-configure.ac
  head/lang/mono/pkg-plist
Comment 5 David Naylor freebsd_committer 2018-06-30 15:14:44 UTC
Committed, with a revision bump.  Thank you for the patch.
Comment 6 Mark Felder freebsd_committer 2018-07-10 13:54:42 UTC
I don't think this is quite right yet as I'm seeing more missing files (a few btls related DLLs) in a testport while investigating non x86 builds. There might be another followup commit related to btls and pkg-plist.
Comment 7 commit-hook freebsd_committer 2018-07-12 12:36:54 UTC
A commit references this bug:

Author: feld
Date: Thu Jul 12 12:36:37 UTC 2018
New revision: 474509
URL: https://svnweb.freebsd.org/changeset/ports/474509

Log:
  lang/mono: Add missing btls files to the plist

  PR:		229247
  MFH:		2018Q3

Changes:
  head/lang/mono/Makefile
  head/lang/mono/pkg-plist
Comment 8 commit-hook freebsd_committer 2018-07-12 12:37:58 UTC
A commit references this bug:

Author: feld
Date: Thu Jul 12 12:37:24 UTC 2018
New revision: 474510
URL: https://svnweb.freebsd.org/changeset/ports/474510

Log:
  MFH: r474509

  lang/mono: Add missing btls files to the plist

  PR:		229247

Changes:
_U  branches/2018Q3/
  branches/2018Q3/lang/mono/Makefile
  branches/2018Q3/lang/mono/pkg-plist